Subject: Re: problem with BOINC repository and CR/LF

From: Toralf Förster <[email-masked]>
Date: Mon, 17 Dec 2012 17:01:47 +0100

On 12/17/2012 12:38 PM, Andrew Ardill wrote:
> On 17 December 2012 21:23, Toralf Förster <[email-masked]> wrote:
>> Hello,
>>
>> I'm faced with this situation :
>> http://lists.ssl.berkeley.edu/mailman/private/boinc_alpha/2012-December/017371.html
>> and even a "git stash" doesn't help.
> 
> Hi Toralf,
> 
> That list is private and not visible without an account. Can you
> transcribe the relevant parts?
> 
> Regards,
> 
> Andrew Ardill
> 
Oh of course :

On 12/17/2012 12:03 AM, Gianfranco Costamagna wrote:
> So if you have further issues with boinc feel free to look in our debian
> git and feel free to download appropriate patches :-)
>
> Gianfranco
thx

Currently I'm struggling with a git problem of the boinc repository
itself and b/c I'm using git for the linux kernel tree w/o any problems
since eons /me wonders whether this is a BOINC-repository specific problem :

After doing the following sequence with git 1.8.0.2 :

$> git clone git://boinc.berkeley.edu/boinc.git
$> cd boinc
$> git checkout client_release_7.0.39
$> git checkout master
(sometimes I've to repeat this :
	$> git checkout client_release_7.0.39
	$> git checkout master
)
I'm faced with this situation :

$ git status
# On branch master
# Changes not staged for commit:
#   (use "git add <file>..." to update what will be committed)
#   (use "git checkout -- <file>..." to discard changes in working
directory)
#
#       modified:   clientgui/AsyncRPC.cpp
#       modified:   clientgui/sg_BoincSimpleFrame.cpp
#
no changes added to commit (use "git add" and/or "git commit -a")

(sometimes only clientgui/sg_BoincSimpleFrame.cpp is mentioned)

Now these commands

$ git checkout -- clientgui/AsyncRPC.cpp
$ git checkout -- clientgui/sg_BoincSimpleFrame.cpp

doesn't help - the status is still the same (and ofc now I'm no longer
allowed to make a "git checkout" - due to un-commited changes).

Now I'm wondering where to start to investigate this issue ...

-- 
MfG/Sincerely
Toralf Förster
pgp finger print: 7B1A 07F4 EC82 0F90 D4C2 8936 872A E508 7DB6 9DA3